<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\Common\Alias\NewModel;
use Incoviba\nuevo\Common\Direccion;
use Incoviba\nuevo\Proyecto\Proyecto;
use Incoviba\Common\Definition\hasRUT;

/**
 * 
 * @author Aldarien
 * 
 * @property int rut
 * @property char dv
 * @property string nombre
 * @property string razon_social
 * @property Direccion direccion_id
 * @property Representante representante_rut
 * @property boolean estado
 *
 */
class Inmobiliaria extends NewModel
{
	use hasRUT;
	
	protected static $_table = 'inmobiliarias';
	
	public function direccion()
	{
		return $this->belongs_to(Direccion::class, 'direccion_id')->findOne();
	}
	public function representante()
	{
		return $this->belongs_to(Representante::class, 'representante_rut', 'rut')->findOne();
	}
	public function estado()
	{
		return ($estado != 0);
	}
	
	public function proyectos()
	{
		return $this->has_many(Proyecto::class, 'inmobiliaria_rut', 'rut')->findMany();
	}
	public function inversionistas()
	{
		return $this->has_many_through(Socio::class, Participacion::class, 'socio_id', 'inmobiliaria_rut', 'rut')->findMany();
	}
}
?>